package com.iorange.hdrcam;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.widget.Button;

public class HDRCam extends Activity
{
	private PreviewSurface m_View;
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState)
    {
    	// turn off the window's title bar
    	requestWindowFeature(Window.FEATURE_NO_TITLE);
    	
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        m_View = (PreviewSurface)findViewById(R.id.surfPreview);
        
        Button btnPhoto = (Button)findViewById(R.id.btn_Photo);
        if (btnPhoto != null)
        	btnPhoto.setOnClickListener(btnPhoto_OnClick);
    }
    
	View.OnClickListener btnPhoto_OnClick = new View.OnClickListener()
	{
		public void onClick(View v)
		{
			m_View.TakePicture();
		}
	};
}